close all
M = simout.signals.values;
N = size(M);
N = N(1,1);
set(0,'defaultlinelinewidth', 1);

figure(1);
plot( tout,M(1:end,1), tout,M(1:end,3), tout,M(1:end,5) );
legend('r','f','xdr');
xlabel('Time (seconds)','FontSize',12);
ylabel('Amplitude','FontSize',12);
grid on

figure(2);
plot( tout,M(1:end,2), tout,M(1:end,4), tout,M(1:end,6) );
legend('l','Tau','xdl');
xlabel('Time (seconds)','FontSize',12);
ylabel('Amplitude','FontSize',12);
grid on

figure(3);
plot( tout,d_xhatd_out(1:end,1), tout,d_xhatd_out(1:end,2));
legend('df','xdr');
xlabel('Time (seconds)','FontSize',12);
ylabel('Amplitude','FontSize',12);
grid on

figure(4);
plot( tout,d_xhatd_out(1:end,3), tout,d_xhatd_out(1:end,4));
legend('dtau','xdl');
xlabel('Time (seconds)','FontSize',12);
ylabel('Amplitude','FontSize',12);
grid on